*,
*::before,
*::after {
    box-sizing: border-box;
}

// *{background: rgba(0, 0, 0, 0.03)}
div {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}


/*========================================================
                      Container
=========================================================*/


/*
* @description  container class style declarations
*/

.container {
    width: rem(1180);
    margin: 0 auto;
}

// меньше указанной величины (по умолчанию ширина)
// @mixin below($width, $orientation: 'width') {
//     @media screen and (max-#{$orientation}: $width) {
//         @content;
//     }
// }

/*========================================================
                      Main Styles
=========================================================*/


/*
* @section      Main Styles
* @description  This section holds template default elements style declarations
*/

.page {
    overflow: hidden;
    .lt-ie9 & {
        min-width: $screen-lg-min;
    }
}

html {
    font-size: 16px;
}

body {
    font-family: $font-default;
    font-weight: $default-font-weight;
    font-size: $default-font-size;
    line-height: $default-line-height;
    -webkit-text-size-adjust: none;
    color: $content-color;
    background: $content-bg;
}


/*========================================================
                      Typography
=========================================================*/


/*
* @subsection   Typography
* @description  Describes default font settings for basic html elements and
*               css classes
*/

h1,
h2,
h3,
h4,
h5,
h6,
.heading_1,
.heading_2,
.heading_3,
.heading_4,
.heading_5,
.heading_6 {
    color: $default;
    font-weight: 500;
}

h1,
.heading_1 {
    font-size: rem(50);
    line-height: rem(45);
}

h2,
.heading_2 {
    font-size: rem(35);
    line-height: 1;
}

h3,
.heading_3 {
    font-size: rem(30);
    line-height: rem(30);
}

h4,
.heading_4 {
    font-size: rem(24);
    line-height: rem(30);
}

h5,
.heading_5 {
    font-size: 20px;
    line-height: 24px;
}

h6,
.heading_6 {
    font-size: 17px;
    line-height: 20px;
}

a, 
a[href^="tel:"], 
a[href^="callto:"],
a[href^="mailto:"]{
    transition: 0.3s;
    &:before{
        transition: 0.3s;
    }
    &:hover{
        color: $clr-primary;
        &:before{
            background: $clr-primary;
        }
    }
}

/*=======================================================
                       Main Layout
=========================================================*/


/*
* @subsection   Backgrounds
* @description  Backgrounds custom styles
*/

.bg-white {
    background: $white;
}


/*
* @subsection   Colors
* @description  Colors custom styles
*/

.clr-white {
    color: $white;
}


/*
* @subsection   Well
* @description  Describes section inner indents
*/

.well {
    &_header {}
    &_footer {}
}

/*
* @subsection   Offsets
* @description  
*/
.offset-lg-40{
    margin-top: rem(40);
}

/* ========================================================
                     Components
=========================================================*/

/* ========================================================
                     HEADER  Section
=========================================================*/


/*
* @section      Page Header
* @description  This section holds specific style redeclarations for some
*               of common elements in page header
*/

header,
.page-header {
    // background: $header-bg;
    color: $header-color;
}


/* ========================================================
					 MAIN  Section
=========================================================*/


/*
* @section      Page Content
* @description  This section holds specific style redeclarations for some
*               of common elements in page content
*/

main,
.page-content {
    min-height: 100vh;
    background: $content-bg;
}


/* ========================================================
					 FOOTER  Section
=========================================================*/


/*
* @section      Page Footer
* @description  This section holds specific style redeclarations for some
*               of common elements in page footer
*/

footer,
.page-footer {
    background: $footer-bg;
    color: $footer-color;
}
